<template>
  <public-sector>
    <template v-slot:tabs>
      <public-tabs :storagePlaceId="storagePlaceId"></public-tabs>
    </template>
    <template v-slot:table>
      <public-echarts></public-echarts>
    </template>
    <template v-slot:video>
      <public-video></public-video>
    </template>
  </public-sector>
</template>

<script>

import PublicTabs from '@components/BaseNav/WasteGas/PublicTabs'
import PublicEcharts from '@components/BaseNav/PublicBounced/common/PublicChart'
import PublicVideo from '@components/BaseNav/PublicVideo'
import PublicSector from '@components/BaseNav/PublicSector'

export default {
  name: 'WasteGasIndex',
  props: ['storagePlaceId'],
  components: {
    PublicSector,
    PublicTabs,
    PublicEcharts,
    PublicVideo
  },
  mounted () {
    console.log(this.storagePlaceId)
    this.$nextTick(() => {
      // this.refsData()
    })
  },
  data () {
    return {}
  },
  methods: {
    // refsData () {
    //   const data = this.storagePlaceId
    //   this.$refs.refsTabsData.refsDataTabs(data)
    //   this.$refs.refsTableData.refsDataTable(data)
    // }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 2000;
  position: absolute;
  top: 35%;
  left: 20%;

  .public-bounced-title {
    cursor: move;
    height: 0.1rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: #C0C4CC;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }

    i:hover {
      color: #00fff6;
    }
  }

  .public-bounced-content {
    //padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
